/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ITiposensor;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tiposensor implements VertxPojo, ITiposensor {

    private static final long serialVersionUID = 1487262564;

    private Integer tipsenid;
    private String  tipsennome;
    private String  tipsendescricao;

    public Tiposensor() {}

    public Tiposensor(Tiposensor value) {
        this.tipsenid = value.tipsenid;
        this.tipsennome = value.tipsennome;
        this.tipsendescricao = value.tipsendescricao;
    }

    public Tiposensor(
        Integer tipsenid,
        String  tipsennome,
        String  tipsendescricao
    ) {
        this.tipsenid = tipsenid;
        this.tipsennome = tipsennome;
        this.tipsendescricao = tipsendescricao;
    }

    @Override
    public Integer getTipsenid() {
        return this.tipsenid;
    }

    @Override
    public Tiposensor setTipsenid(Integer tipsenid) {
        this.tipsenid = tipsenid;
        return this;
    }

    @Override
    public String getTipsennome() {
        return this.tipsennome;
    }

    @Override
    public Tiposensor setTipsennome(String tipsennome) {
        this.tipsennome = tipsennome;
        return this;
    }

    @Override
    public String getTipsendescricao() {
        return this.tipsendescricao;
    }

    @Override
    public Tiposensor setTipsendescricao(String tipsendescricao) {
        this.tipsendescricao = tipsendescricao;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Tiposensor (");

        sb.append(tipsenid);
        sb.append(", ").append(tipsennome);
        sb.append(", ").append(tipsendescricao);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ITiposensor from) {
        setTipsenid(from.getTipsenid());
        setTipsennome(from.getTipsennome());
        setTipsendescricao(from.getTipsendescricao());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ITiposensor> E into(E into) {
        into.from(this);
        return into;
    }

    public Tiposensor(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
